#{extends 'borderNG.html' /}
#{set 'titleHead'}
&{'beranda.panitia'}
#{/set}
<div class="container">
    <ul id="tabs" class="nav nav-tabs faq-cat-tabs" role="tablist">
        <li class="active">
            <a href="@{BerandaCtr.index()}">&{'beranda.tender'}</a>
        </li>
        <li>
            <a href="@{BerandaCtr.nonLelang()}">&{'beranda.nontender'}</a>
        </li>
        #{if enableDevPartner}
            <li>
                <a href="@{devpartner.BerandaDpCtr.index()}">&{'beranda.dev_partner'}</a>
            </li>
        #{/if}
    </ul>
    <div class="tab-pane active">
        <div class="content tab-content">
            <div class="breadcrumb">&{'beranda.tender_aktif'}</div>
        <!-- [AY] komentar ini ditujuan bagi developer
            [DEVELOPMENT]: Jika telah masuk jadwal namun belum dilakukan maka diberi tanda seru. Contoh tahap penetapan pemenang namun belum ditetapkan.
            Angka 2 pada penjelasan menunjukkan jumlah pertanyaan dari peserta tender; begitu pula sanggahan
         -->
            <form id="formFilter">
                <table class="table table-sm table-bordered">
                    <tr>
                        <th class="bgwarning" width="200">Kepanitiaan</th>
                        <td>#{selectPanitia 'panitiaId', value:panitiaId, autoSubmit:true/}
                            #{if panitiaId} <a href="@{admin.PanitiaCtr.anggota(panitiaId)}" class="dialog badge  badge-secondary" title="Daftar Anggota Pokja Pemilihan">Anggota Pokja</a>#{/if}</td>
                    </tr>
                    <tr>
                        <th class="bg-warning">Status</th>
                        <td> <select name="status" class="form-control input-sm selectpicker" data-width="auto" onchange="this.form.submit();">
                                <option value="1" #{if status==1} selected #{/if}>&{'beranda.tender_aktif'}</option>
                                <option value="2" #{if status==2} selected #{/if}>&{'beranda.tender_batal'}</option>
                            </select>
                    </tr>
                 </table>
            </form>
            <table id="tbllelang" class="table table-sm">
                <thead>
                <tr>
                    <th width="12%">&{'beranda.kode_tender'}</th>
                    <th>&{'beranda.nama_tender'}</th>
                    <th width="200">&{'beranda.tahap'}</th>
                    <th width="10">&{'beranda.peserta'}</th>
                </tr>
                </thead>
            </table>
        </div>
    </div>
</div>
#{set 'css_custom' } 
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">  
var view  = #{jsRoute @lelang.LelangCtr.view(':id') /};
var viewTahap  = #{jsRoute @lelang.JadwalCtr.tahap(':id') /};
$(document).ready(function() {
    var table = $("#tbllelang").DataTable({
        language: {
                "sLengthMenu":   "&{'menu.slengthmenu'} _MENU_ data",
                processing:   "&{'menu.processing'}",
                "sSearch":       "&{'menu.ssearch'}",
                "sInfo":         "&{'menu.sinfo1'} _START_ &{'menu.sinfo2'} _END_ &{'menu.sinfo3'} _TOTAL_ data",
                "sInfoEmpty":    "&{'menu.sinfo1'} 0 &{'menu.sinfo2'} 0 &{'menu.sinfo3'} 0 data"
        },
	    order: [[ 0, "desc"]],
        ajax: "@{DataTableCtr.lelangPanitia(panitiaId, status)}",
        columns: [null, {render: function(data, type, row) {
        	 	var id = row[0]; 
        		var paket = row[1];
        		var version = getLabelSpseVersion(row[4]);
        		var flag = version.flag;
        		var highlight = version.highlight;
        		var label = row[5];
        		row[2] = '<a target="_blank" href="'+viewTahap.url({id:id})+'" >'+row[2]+'</a>';
        		row[1] = '<a href="'+view.url({id:id})+'">'+paket +'&nbsp;<span class="badge  badge-info">'+label+'</span>'+' <span class="'+highlight+'">'+flag+'</span></a>';
                // is konsolidasi = 1
                if (row[6] == '1') {
                    var lblKonsolidasi = getKonsolidasiLabel()
                    row[1] += '&nbsp;<span class="'+ lblKonsolidasi.highlight + '">' + lblKonsolidasi.flag + '</span>';
                }
        		return row[1];
        	}},{orderable:false},{orderable:false}
        ]
    });

    $('#tbllelang_filter input').unbind();
    $('#tbllelang_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
          table.search(this.value).draw();
         }
    });

    $('[name^=panitia]').on('change', function() {
        var panitia_id=$(this).val();
        $.cookie("panitia_id", panitia_id , {expires:365, path:'${request.path}'});
        $('#formFilter').submit();
    });

} );
</script>
#{/set}
